//--------------------------------------------------------//
// This is part of the program Lan painter                //
// Copyright (C) Olexandr Polyeno (polyenoom@gmail.com)   //
// License LGPL (http://www.gnu.org/copyleft/lesser.html) //
//--------------------------------------------------------//

#include "member.h"

Member::Member(QObject *parent) : QObject(parent)
{
	name="noname";
	block_height=34;
	q_on=false;
	temp_on=false;
	scan_current=0;
}


void Member::set_height()
{
	if(get_n_pcs()>3)
	{
		block_height=22+12*(get_n_pcs()/3);
		if((get_n_pcs()%3)!=0)block_height+=12;
	}
}

void Member::del_pc(QString str)
{
	pcs.removeOne(str);	
	ips.remove(str);
}

void Member::add_pc_ip(QString pc, QString ip)
{
	pcs.append(pc);
	ips[pc]=ip;	
}

void Member::buff_to_screen()
{
	q_on=temp_on;
	temp_on=false;
}
